Bug 976049 - Review Request: irclib - Java implementation of the IRC protocol
Review Request: irclib - Java implementation of the IRC protocol
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 968136 bigdata-review
  Show dependency treegraph
 
Reported: 2013-06-19 15:52 EDT by gil cattaneo
Modified: 2015-01-25 21:40 EST (History)
2 users (show)

See Also:
Fixed In Version: irclib-1.10-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-25 21:40:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-06-19 15:52:16 EDT
Spec URL: http://gil.fedorapeople.org/irclib.spec
SRPM URL: http://gil.fedorapeople.org/irclib-1.10-1.fc18.src.rpm
Description:
IRClib is pure Java 1.2 IRC implementation. The
IRClib library is designed very cleanly, supports
RFC1459 and supports SSL connections.
Fedora Account System Username: gil
Comment 4 Mattias Ellert 2015-01-14 05:27:04 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
No issues.
See comment about keeping timestamps below.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant (or javac as is the case here)
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in irclib-
     javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.

Though "dos2unix -k" instead of "sed -i 's/\r//'" would try harder.
But that means an additional BuildRequires.

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: irclib-1.10-1.fc22.noarch.rpm
          irclib-javadoc-1.10-1.fc22.noarch.rpm
          irclib-1.10-1.fc22.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
irclib (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils

irclib-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
irclib:
    irclib
    mvn(org.schwering:irclib)
    mvn(org.schwering:irclib:pom:)

irclib-javadoc:
    irclib-javadoc



Source checksums
----------------
http://prdownloads.sourceforge.net/moepii/irclib-1.10.tar.gz :
  CHECKSUM(SHA256) this package     : 85f8ebe3153f7824df48d79b5b669acd84b214e6e09997c4cd39ac4081d3ec45
  CHECKSUM(SHA256) upstream package : 85f8ebe3153f7824df48d79b5b669acd84b214e6e09997c4cd39ac4081d3ec45
http://repo2.maven.org/maven2/org/schwering/irclib/1.10/irclib-1.10.pom :
  CHECKSUM(SHA256) this package     : 9f8c4cc21097208369d7f9cd29a38f7f05d2f8cfb76aabd26647d32d7ac74ff4
  CHECKSUM(SHA256) upstream package : 9f8c4cc21097208369d7f9cd29a38f7f05d2f8cfb76aabd26647d32d7ac74ff4


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 976049 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG



Package Approved!
Comment 5 gil cattaneo 2015-01-14 06:08:14 EST
New Package SCM Request
=======================
Package Name: irclib
Short Description: Java implementation of the IRC protocol
Owners: gil
Branches: f21
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2015-01-14 06:55:28 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-01-14 08:30:54 EST
irclib-1.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/irclib-1.10-1.fc21
Comment 8 Fedora Update System 2015-01-14 18:56:16 EST
irclib-1.10-1.fc21 has been pushed to the Fedora 21 testing repository.
Comment 9 Fedora Update System 2015-01-25 21:40:21 EST
irclib-1.10-1.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.